GET
/v1/entities/trending
v1List trending entities
Retrieve entities currently trending in the news, ranked by recent mention frequency.
Parameters
| Name | Type | Description |
|---|---|---|
limit | integer | Number of trending entities to return Default: 50 e.g. 10 |
limit integerNumber of trending entities to return
Default: 50
e.g. 10
Request Examples
bash
curl "https://api.newsrank.ai/v1/entities/trending?limit=10" \
-H "Authorization: Bearer nrf_your_api_key"Response
json
{
"entities": [
{
"id": 892,
"name": "John Roberts",
"type": "person",
"subcategory": "politician",
"slug": "john-roberts",
"description": "Chief Justice of the United States",
"image_url": "https://example.com/images/roberts.jpg",
"wikidata_id": "Q11204",
"wikipedia_url": "https://en.wikipedia.org/wiki/John_Roberts",
"article_count": 234,
"aliases": [
"Chief Justice Roberts",
"J. Roberts"
],
"enriched": true
}
]
}Try it
Server
Using sandbox demo key (5 req/min) — no signup required
Authentication
Demo key (sandbox)
Endpoint
GET /v1/entities/trending
Default: 50